title: Events
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: image
        field:
          mode: grid
          container: assets
          restrict: false
          allow_uploads: true
          max_files: 1
          display: Image
          type: assets
          icon: assets
          listable: hidden
          folder: events
      -
        handle: content
        field:
          collapse: false
          sets:
            title:
              display: Titre
              fields:
                -
                  handle: size
                  field:
                    options:
                      t1: 'Titre 1'
                      t2: 'Titre 2'
                      t3: 'Titre 3'
                    multiple: false
                    max_items: 1
                    clearable: false
                    searchable: true
                    taggable: false
                    push_tags: false
                    cast_booleans: false
                    display: Taille
                    type: select
                    icon: select
                    listable: hidden
                -
                  handle: text
                  field:
                    input_type: text
                    antlers: false
                    display: Text
                    type: text
                    icon: text
                    listable: hidden
            p:
              display: Paragraphe
              fields:
                -
                  handle: text
                  field:
                    restrict: false
                    automatic_line_breaks: true
                    automatic_links: false
                    escape_markup: false
                    smartypants: false
                    antlers: false
                    display: Markdown
                    type: markdown
                    icon: markdown
                    listable: hidden
            contact:
              display: Contact
              fields:
                -
                  handle: id
                  field:
                    input_type: text
                    antlers: false
                    display: Id
                    type: text
                    icon: text
                    width: 50
                    listable: hidden
                -
                  handle: name
                  field:
                    input_type: text
                    antlers: false
                    display: Nom
                    type: text
                    icon: text
                    width: 50
                    listable: hidden
                -
                  handle: text
                  field:
                    input_type: text
                    antlers: false
                    display: Text
                    type: text
                    icon: text
                    listable: hidden
            events:
              display: Events
              fields:
                -
                  handle: entries
                  field:
                    max_items: 10
                    mode: default
                    collections:
                      - events
                    display: Entries
                    type: entries
                    icon: entries
                    listable: hidden
          display: Contenu
          type: replicator
          icon: replicator
          listable: hidden
      -
        handle: dates
        field:
          fields:
            -
              handle: date
              field:
                mode: single
                time_enabled: true
                time_required: false
                earliest_date: '2021-01-01'
                full_width: false
                inline: false
                columns: 1
                rows: 1
                display: Date
                type: date
                icon: date
                listable: hidden
          mode: table
          reorderable: true
          display: Dates
          type: grid
          icon: grid
          listable: hidden
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          required: true
          localizable: true
          validate:
            - required
      -
        handle: hidden
        field:
          display: Hidden
          type: toggle
          icon: toggle
          listable: hidden
      -
        handle: integer
        field:
          display: Integer
          type: integer
          icon: integer
          listable: hidden
      -
        handle: place
        field:
          max_items: 1
          mode: default
          taxonomies:
            - places
          display: Lieux
          type: terms
          icon: taxonomy
          listable: hidden
      -
        handle: organizers
        field:
          type: terms
          taxonomies:
            - organizers
          display: Organizers
          mode: select
          listable: hidden
          max_items: 1
          validate:
            - required
      -
        handle: checkboxes
        field:
          inline: false
          options:
            xxl: XXL
            l: l
          display: Checkboxes
          type: checkboxes
          icon: checkboxes
          listable: hidden
  options:
    display: Options
    fields:
      -
        handle: gender
        field:
          options:
            GENDER_DONT_KNOW: 'Ne sait pas'
            GENDER_DOESNT_WISH_TO_ANSWER: 'Ne souhaite pas répondre'
            GENDER_MAN: Homme
            GENDER_WOMAN: Femme
            GENDER_TRANS_MAN: 'Trans homme'
            GENDER_TRANS_WOMAN: 'Trans femme'
            GENDER_QUEER: Queer
            GENDER_NON_BINARY: Non-binaire
            GENDER_ALL: 'Pour tou.te.s'
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Genre
          type: select
          icon: select
          listable: hidden
      -
        handle: orientation
        field:
          options:
            ORIENTATION_DONT_KNOW: 'Ne sait pas'
            ORIENTATION_DOESNT_WISH_TO_ANSWER: 'Ne souhaite pas répondre'
            ORIENTATION_GAY: Gay
            ORIENTATION_BI: Bi
            ORIENTATION_LESBIAN: Lesbienne
            ORIENTATION_ALL: 'Pour tou.te.s'
          multiple: true
          clearable: true
          searchable: true
          taggable: false
          push_tags: false
          cast_booleans: false
          display: Orientation
          type: select
          icon: select
          listable: hidden
      -
        handle: age_min
        field:
          step: 1
          min: 0
          max: 100
          default: 16
          display: 'Age minimum'
          type: range
          icon: range
          listable: hidden
      -
        handle: age_max
        field:
          step: 1
          min: 0
          max: 100
          default: 20
          display: 'Age maximum'
          type: range
          icon: range
          listable: hidden
  scoring:
    display: Scoring
    fields:
      -
        handle: score_gender
        field:
          display: 'Score genre'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_county
        field:
          display: 'Score canton'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_orientation
        field:
          display: 'Score orientation'
          type: integer
          icon: integer
          listable: hidden
      -
        handle: score_age
        field:
          display: 'Score Age'
          type: integer
          icon: integer
          listable: hidden
